gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::VideoScale Class Reference
gstreamermm Plugins

A Wrapper for the videoscale plugin. More...

Inheritance diagram for Gst::VideoScale:
[legend]
Collaboration diagram for Gst::VideoScale:
[legend]

List of all members.

## Public Member Functions
virtual | ~VideoScale ()
GstVideoScale* | gobj ()
| Provides access to the underlying C GObject.
const GstVideoScale* | gobj () const
| Provides access to the underlying C GObject.
GstVideoScale* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Gst::VideoScaleMethod > | property_method ()
| method.
Glib::PropertyProxy_ReadOnly < Gst::VideoScaleMethod > | property_method () const
| method.
Glib::PropertyProxy< bool > | property_add_borders ()
| Add black borders if necessary to keep the display aspect ratio.
Glib::PropertyProxy_ReadOnly < bool > | property_add_borders () const
| Add black borders if necessary to keep the display aspect ratio.
Glib::PropertyProxy< double > | property_sharpness ()
| Sharpness of filter.
Glib::PropertyProxy_ReadOnly < double > | property_sharpness () const
| Sharpness of filter.
Glib::PropertyProxy< double > | property_sharpen ()
| Sharpening.
Glib::PropertyProxy_ReadOnly < double > | property_sharpen () const
| Sharpening.
Glib::PropertyProxy< bool > | property_dither ()
| Add dither (only used for Lanczos method).
Glib::PropertyProxy_ReadOnly < bool > | property_dither () const
| Add dither (only used for Lanczos method).
Glib::PropertyProxy< double > | property_envelope ()
| Size of filter envelope.
Glib::PropertyProxy_ReadOnly < double > | property_envelope () const
| Size of filter envelope.
## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< VideoScale > | create ()
| Creates a new videoscale plugin with a unique name.
static Glib::RefPtr< VideoScale > | create (const Glib::ustring& name)
| Creates a new videoscale plugin with the given name.
## Protected Member Functions
| VideoScale ()
| VideoScale (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::VideoScale > | wrap (GstVideoScale* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the videoscale plugin.

Please note that not all plug-ins are available on all systems so care must be taken that they exist before they are used otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::VideoScale::~VideoScale | ( |  | ) | `[virtual]`

Gst::VideoScale::VideoScale | ( |  | ) | `[protected]`

Gst::VideoScale::VideoScale | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<VideoScale> Gst::VideoScale::create | ( |  | ) | `[static]`

Creates a new videoscale plugin with a unique name.

static Glib::RefPtr<VideoScale> Gst::VideoScale::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new videoscale plugin with the given name.

static GType Gst::VideoScale::get_type | ( |  | ) | `[static]`

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented from Gst::BaseTransform.

GstVideoScale* Gst::VideoScale::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseTransform.

const GstVideoScale* Gst::VideoScale::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseTransform.

GstVideoScale* Gst::VideoScale::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::BaseTransform.

Glib::PropertyProxy< bool > Gst::VideoScale::property_add_borders | ( |  | ) |

Add black borders if necessary to keep the display aspect ratio.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::VideoScale::property_add_borders | ( |  | ) | const

Add black borders if necessary to keep the display aspect ratio.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::VideoScale::property_dither | ( |  | ) |

Add dither (only used for Lanczos method).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::VideoScale::property_dither | ( |  | ) | const

Add dither (only used for Lanczos method).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< double > Gst::VideoScale::property_envelope | ( |  | ) |

Size of filter envelope.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< double > Gst::VideoScale::property_envelope | ( |  | ) | const

Size of filter envelope.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::VideoScaleMethod > Gst::VideoScale::property_method | ( |  | ) |

method.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::VideoScaleMethod > Gst::VideoScale::property_method | ( |  | ) | const

method.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< double > Gst::VideoScale::property_sharpen | ( |  | ) |

Sharpening.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< double > Gst::VideoScale::property_sharpen | ( |  | ) | const

Sharpening.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< double > Gst::VideoScale::property_sharpness | ( |  | ) |

Sharpness of filter.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< double > Gst::VideoScale::property_sharpness | ( |  | ) | const

Sharpness of filter.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::VideoScale > wrap | ( | GstVideoScale * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/videoscale.h